CREATE TABLE gtg_ts_paysetuppayments (
    ETL_SEQUENCE_ID                   NUMBER(19, 0),
    ETL_VERSION_NUMBER                NUMBER(18, 0),
    DELETE_VERSION_NUMBER             NUMBER(18, 0),
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    ALLOW_PYMT_THIRD_PARTY_OVRD       VARCHAR2(4)  ,
    ALLOW_SUPPLIER_BANK_OVERRIDE      VARCHAR2(4)  ,
    APSYSTEMPARAMETERSALL_CD          TIMESTAMP(6) ,
    APSYSTEMPARAMETERSALL_LUB         VARCHAR2(256),
    APSYSTEMPARAMETERSALL_LUD         TIMESTAMP(6) ,
    BANK_CHARGE_BEARER                VARCHAR2(4)  ,
    BANK_CHARGE_DEDUCTION_TYPE        VARCHAR2(4)  ,
    DEFAULT_PMT_EXCHANGE_RATE_TYPE    VARCHAR2(120),
    DISC_IS_INV_LESS_TAX_FLAG         VARCHAR2(4)  ,
    FINANCIALSSYSTEMPARAMSALL_CB      VARCHAR2(256),
    FINANCIALSSYSTEMPARAMSALL_CD      TIMESTAMP(6) ,
    FINANCIALSSYSTEMPARAMSALL_LUB     VARCHAR2(256),
    FINANCIALSSYSTEMPARAMSALL_LUD     TIMESTAMP(6) ,
    MAKE_RATE_MANDATORY_PMT_FLAG      VARCHAR2(4)  ,
    OI                                NUMBER(18, 0),
    PAYSETUPOPRUNTID_V863             NUMBER(18, 0),
    PAYSETUPSETOFBOOKSID_V863         NUMBER(18, 0),
    PAY_DOC_CATEGORY_OVERRIDE         VARCHAR2(4)  ,
    SET_OF_BOOKS_ID                   NUMBER(18, 0),
    UPDATE_PAY_SITE_FLAG              VARCHAR2(4)  ,
    USE_BANK_CHARGE_FLAG              VARCHAR2(4)  ,
    WHEN_TO_ACCOUNT_PMT               VARCHAR2(120),
    ETL_SEQUENCE_ID                   NUMBER(19, 0),
    ETL_VERSION_NUMBER                NUMBER(18, 0),
    DELETE_VERSION_NUMBER             NUMBER(18, 0),
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    ALLOW_PYMT_THIRD_PARTY_OVRD       VARCHAR2(4)  ,
    ALLOW_SUPPLIER_BANK_OVERRIDE      VARCHAR2(4)  ,
    APSYSTEMPARAMETERSALL_CD          TIMESTAMP(6) ,
    APSYSTEMPARAMETERSALL_LUB         VARCHAR2(256),
    APSYSTEMPARAMETERSALL_LUD         TIMESTAMP(6) ,
    BANK_CHARGE_BEARER                VARCHAR2(4)  ,
    BANK_CHARGE_DEDUCTION_TYPE        VARCHAR2(4)  ,
    DEFAULT_PMT_EXCHANGE_RATE_TYPE    VARCHAR2(120),
    DISC_IS_INV_LESS_TAX_FLAG         VARCHAR2(4)  ,
    FINANCIALSSYSTEMPARAMSALL_CB      VARCHAR2(256),
    FINANCIALSSYSTEMPARAMSALL_CD      TIMESTAMP(6) ,
    FINANCIALSSYSTEMPARAMSALL_LUB     VARCHAR2(256),
    FINANCIALSSYSTEMPARAMSALL_LUD     TIMESTAMP(6) ,
    MAKE_RATE_MANDATORY_PMT_FLAG      VARCHAR2(4)  ,
    OI                                NUMBER(18, 0),
    PAYSETUPOPRUNTID_V863             NUMBER(18, 0),
    PAYSETUPSETOFBOOKSID_V863         NUMBER(18, 0),
    PAY_DOC_CATEGORY_OVERRIDE         VARCHAR2(4)  ,
    SET_OF_BOOKS_ID                   NUMBER(18, 0),
    UPDATE_PAY_SITE_FLAG              VARCHAR2(4)  ,
    USE_BANK_CHARGE_FLAG              VARCHAR2(4)  ,
    WHEN_TO_ACCOUNT_PMT               VARCHAR2(120),
    CONSTRAINT pk_gtg_ts_paysetuppayments PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
